Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class ExtendedDataElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.hyades.logging.events.cbe.impl.SerializableImpl
                      org.eclipse.hyades.logging.events.cbe.impl.ExtendedDataElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.eclipse.emf.ecore.EObject, ExtendedDataElement, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

public class ExtendedDataElementImpl
extends SerializableImpl
implements ExtendedDataElement, java.lang.Cloneable

An implementation of the model object 'Extended Data Element'.

Since:
  1.0
Version:
  1.0.1
Author:
  Andrea Chiavegatto, Denilson Nastacio, Scott Brown
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected org.eclipse.emf.common.util.EList` | `children` The cached value of the '`Children`' containment reference list.
`static java.lang.String[]` | `EDE_TYPES` Array of types for the extended data element.
`static java.util.List` | `EDE_TYPES_LIST`
`protected static java.lang.String` | `HEX_VALUE_EDEFAULT` The default value of the '`Hex Value`' attribute.
`protected java.lang.String` | `hexValue` The cached value of the '`Hex Value`' attribute.
`protected java.lang.String` | `name` The cached value of the '`Name`' attribute.
`protected static java.lang.String` | `NAME_EDEFAULT` The default value of the '`Name`' attribute.
`protected java.lang.String` | `type` The cached value of the '`Type`' attribute.
`protected static java.lang.String` | `TYPE_EDEFAULT` The default value of the '`Type`' attribute.
`protected org.eclipse.emf.common.util.EList` | `values` The cached value of the '`Values`' attribute list.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from interface org.eclipse.hyades.logging.events.cbe.ExtendedDataElement
`TYPE_BOOLEAN, TYPE_BOOLEAN_ARRAY, TYPE_BOOLEAN_ARRAY_VALUE, TYPE_BOOLEAN_VALUE, TYPE_BYTE, TYPE_BYTE_ARRAY, TYPE_BYTE_ARRAY_VALUE, TYPE_BYTE_VALUE, TYPE_DATE_TIME, TYPE_DATE_TIME_ARRAY, TYPE_DATE_TIME_ARRAY_VALUE, TYPE_DATE_TIME_VALUE, TYPE_DOUBLE, TYPE_DOUBLE_ARRAY, TYPE_DOUBLE_ARRAY_VALUE, TYPE_DOUBLE_VALUE, TYPE_FLOAT, TYPE_FLOAT_ARRAY, TYPE_FLOAT_ARRAY_VALUE, TYPE_FLOAT_VALUE, TYPE_HEX_BINARY, TYPE_HEX_BINARY_VALUE, TYPE_INT, TYPE_INT_ARRAY, TYPE_INT_ARRAY_VALUE, TYPE_INT_VALUE, TYPE_LONG, TYPE_LONG_ARRAY, TYPE_LONG_ARRAY_VALUE, TYPE_LONG_VALUE, TYPE_NO_VALUE, TYPE_NO_VALUE_VALUE, TYPE_SHORT, TYPE_SHORT_ARRAY, TYPE_SHORT_ARRAY_VALUE, TYPE_SHORT_VALUE, TYPE_STRING, TYPE_STRING_ARRAY, TYPE_STRING_ARRAY_VALUE, TYPE_STRING_VALUE`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `ExtendedDataElementImpl()`

Method Summary
`ExtendedDataElement` | `addChild(ExtendedDataElement child)` Adds a new child `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChild(java.lang.String newName)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChild(java.lang.String newName, int newType, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChild(java.lang.String newName, int newType, java.lang.String[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChild(java.lang.String newName, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChild(java.lang.String newName, java.lang.String[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithBooleanArrayValue(java.lang.String newName, boolean[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithBooleanValue(java.lang.String newName, boolean value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithByteArrayValue(java.lang.String newName, byte[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithByteValue(java.lang.String newName, byte value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDateArrayValue(java.lang.String newName, java.lang.String[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDateAsLongValue(java.lang.String newName, long value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDatesAsLongValue(java.lang.String newName, long[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDateValue(java.lang.String newName, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDoubleArrayValue(java.lang.String newName, double[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithDoubleValue(java.lang.String newName, double value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithFloatArrayValue(java.lang.String newName, float[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithFloatValue(java.lang.String newName, float value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithHexValue(java.lang.String newName, java.lang.String value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithHexValueAsByteArray(java.lang.String newName, byte[] value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithIntArrayValue(java.lang.String newName, int[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithIntValue(java.lang.String newName, int value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithLongArrayValue(java.lang.String newName, long[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithLongValue(java.lang.String newName, long value)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithShortArrayValue(java.lang.String newName, short[] newValues)` Adds a new `ExtendedDataElement` to this object.
`ExtendedDataElement` | `addChildWithShortValue(java.lang.String newName, short value)` Adds a new `ExtendedDataElement` to this object.
`void` | `clearChildren()` Removes all child ExtenedDataElements that this event is referencing
`void` | `clearValues()` Removes all values that this event is referencing
`java.lang.Object` | `clone()` return a cloned (copy by value) object.
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, java.lang.Class baseClass, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`boolean` | `equals(java.lang.Object arg0)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`org.eclipse.emf.common.util.EList` | `getChildren()`
`org.eclipse.emf.common.util.EList` | `getChildren(java.lang.String newName)` Helper method to return a named child `ExtendedDataElement` from the list of children `ExtendedDataElement`s.
`java.lang.String` | `getHexValue()`
`byte[]` | `getHexValueAsByteArray()` Returns the hexValue of the extended data element cast as byte array values.
`char[]` | `getHexValueAsCharArray()` Returns the hexValue of the extended data element cast as char array values.
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`int` | `getTypeAsInt()` Returns the value of the 'Type' attribute.
`org.eclipse.emf.common.util.EList` | `getValues()`
`boolean` | `getValuesAsBoolean()` Returns the value of the extended data element cast as a boolean value.
`boolean[]` | `getValuesAsBooleanArray()` Returns the values of the extended data element cast as boolean values.
`byte` | `getValuesAsByte()` Returns the value of the extended data element cast as a byte value.
`byte[]` | `getValuesAsByteArray()` Returns the values of the extended data element cast as byte values.
`java.lang.String` | `getValuesAsDate()` Returns the value of the extended data element cast as a date/time value.
`java.lang.String[]` | `getValuesAsDateArray()` Returns the value of the extended data element cast as a date/time values.
`long` | `getValuesAsDateAsLong()` Returns the value of the extended data element cast as a date/time value.
`long[]` | `getValuesAsDateAsLongArray()` Returns the values of the extended data element cast as date/time values.
`double` | `getValuesAsDouble()` Returns the value of the extended data element cast as a double value.
`double[]` | `getValuesAsDoubleArray()` Returns the values of the extended data element cast as double values.
`float` | `getValuesAsFloat()` Returns the value of the extended data element cast as a float value.
`float[]` | `getValuesAsFloatArray()` Returns the values of the extended data element cast as float values.
`int` | `getValuesAsInt()` Returns the value of the extended data element cast as an integer value.
`int[]` | `getValuesAsIntArray()` Returns the values of the extended data element cast as integer values.
`long` | `getValuesAsLong()` Returns the value of the extended data element cast as a long value.
`long[]` | `getValuesAsLongArray()` Returns the values of the extended data element cast as long values.
`short` | `getValuesAsShort()` Returns the value of the extended data element cast as a short value.
`short[]` | `getValuesAsShortArray()` Returns the values of the extended data element cast as short values.
`java.lang.String` | `getValuesAsString()` Returns the value of the extended data element cast as a string value.
`java.lang.String[]` | `getValuesAsStringArray()` Returns the values of the extended data element cast as string values.
`void` | `init()` Resets the object's properties to their initial (e.g.
`static boolean` | `isValid(int type)`
`static boolean` | `isValid(java.lang.String type)`
`void` | `removeChildren(java.lang.String name)` Remove a named child extended data element that this event is referencing
`protected org.eclipse.emf.common.util.EList` | `resetValues()` Deprecated. Use clearValues();
`void` | `setHexValue(java.lang.String newHexValue)`
`void` | `setHexValueAsByteArray(byte[] value)` Sets the hexValue of the extended data element as an array of bytes.
`void` | `setHexValueAsCharArray(char[] value)` Sets the hexValue of the extended data element as an array of chars.
`void` | `setName(java.lang.String newName)`
`void` | `setType(java.lang.String newType)`
`void` | `setTypeAsInt(int value)` Sets the value of the '`Type`' attribute.
`protected void` | `setValues(java.lang.String value)` Sets the value of the extended data element as String value.
`void` | `setValues(java.lang.String[] values)` The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary.
`void` | `setValuesAsBoolean(boolean value)` Sets the value of the extended data element as a boolean value.
`void` | `setValuesAsBooleanArray(boolean[] value)` Sets the value of the extended data element as an array of boolean values.
`void` | `setValuesAsByte(byte value)` Sets the value of the extended data element as a byte value.
`void` | `setValuesAsByteArray(byte[] value)` Sets the value of the extended data element as an array of bytes.
`void` | `setValuesAsDate(java.lang.String value)` Sets the value of the extended data element as a date time value.
`void` | `setValuesAsDateArray(java.lang.String[] value)` Sets the value of the extended data element as an array of date time values.
`void` | `setValuesAsDateAsLong(long value)` Sets the value of the extended data element as a date/time value.
`void` | `setValuesAsDateAsLongArray(long[] newValues)` Sets the value of the extended data element as an array of date/time values.
`void` | `setValuesAsDouble(double value)` Sets the value of the extended data element as a double value.
`void` | `setValuesAsDoubleArray(double[] value)` Sets the value of the extended data element as an array of double values.
`void` | `setValuesAsFloat(float value)` Sets the value of the extended data element as a float value.
`void` | `setValuesAsFloatArray(float[] value)` Sets the value of the extended data element as an array of float values.
`void` | `setValuesAsInt(int value)` Sets the value of the extended data element as a int value.
`void` | `setValuesAsIntArray(int[] value)` Sets the value of the extended data element as an array of integer values.
`void` | `setValuesAsLong(long value)` Sets the value of the extended data element as a long value.
`void` | `setValuesAsLongArray(long[] value)` Sets the value of the extended data element as an array of long values.
`void` | `setValuesAsShort(short value)` Sets the value of the extended data element as a short value.
`void` | `setValuesAsShortArray(short[] value)` Sets the value of the extended data element as an array of short values.
`void` | `setValuesAsString(java.lang.String value)` Sets the value of the extended data element as a string value.
`void` | `setValuesAsStringArray(java.lang.String[] value)` Sets the value of the extended data element as an array of string values.
`java.lang.String` | `toString()`
`static int` | `typeToInt(java.lang.String type)`
`static java.lang.String` | `typeToString(int type)`
`void` | `validate()` Checks whether the contents of this object conforms to the CBE specification.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eHasSettings, eInternalResource, eInverseAdd, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore, eURIFragmentSegment`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### EDE_TYPES

    public static final java.lang.String[] EDE_TYPES

  Array of types for the extended data element.

  See Also:
    `getType()`

### EDE_TYPES_LIST

    public static final java.util.List EDE_TYPES_LIST

### HEX_VALUE_EDEFAULT

    protected static final java.lang.String HEX_VALUE_EDEFAULT

  The default value of the '`Hex Value`' attribute.

  See Also:
    `getHexValue()`

### hexValue

    protected java.lang.String hexValue

  The cached value of the '`Hex Value`' attribute.

  See Also:
    `getHexValue()`

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`

### TYPE_EDEFAULT

    protected static final java.lang.String TYPE_EDEFAULT

  The default value of the '`Type`' attribute.

  See Also:
    `getType()`

### type

    protected java.lang.String type

  The cached value of the '`Type`' attribute.

  See Also:
    `getType()`

### values

    protected org.eclipse.emf.common.util.EList values

  The cached value of the '`Values`' attribute list.

  See Also:
    `getValues()`

### children

    protected org.eclipse.emf.common.util.EList children

  The cached value of the '`Children`' containment reference list.

  See Also:
    `getChildren()`

Constructor Detail

### ExtendedDataElementImpl

    protected ExtendedDataElementImpl()

Method Detail

### getChildren

    public org.eclipse.emf.common.util.EList getChildren()

  Specified by:
    `getChildren` in interface `ExtendedDataElement`
  Returns:
    the value of the 'Children' containment reference list.
  See Also:
    `EventPackage.getExtendedDataElement_Children()`

### getChildren

    public org.eclipse.emf.common.util.EList getChildren(java.lang.String newName)

  Description copied from interface: `ExtendedDataElement`

  Helper method to return a named child `ExtendedDataElement` from the list of children `ExtendedDataElement`s.

  Specified by:
    `getChildren` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name of the child `ExtendedDataElement`
  Returns:
    a list of `ExtendedDataElement` objects.
  See Also:
    `ExtendedDataElement.getChildren(String)`

### setHexValue

    public void setHexValue(java.lang.String newHexValue)

  Specified by:
    `setHexValue` in interface `ExtendedDataElement`
  Parameters:
    `newHexValue` - the new value of the 'Hex Value' attribute.
  See Also:
    `ExtendedDataElement.getHexValue()`

### getHexValue

    public java.lang.String getHexValue()

  Specified by:
    `getHexValue` in interface `ExtendedDataElement`
  Returns:
    the value of the 'Hex Value' attribute.
  See Also:
    `ExtendedDataElement.setHexValue(String)`, `EventPackage.getExtendedDataElement_HexValue()`

### setHexValueAsByteArray

    public void setHexValueAsByteArray(byte[] value)

  Description copied from interface: `ExtendedDataElement`
  Sets the hexValue of the extended data element as an array of bytes.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_HEX_BINARY`.

  Specified by:
    `setHexValueAsByteArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new hexValue for the extended data element.

### setHexValueAsCharArray

    public void setHexValueAsCharArray(char[] value)

  Sets the hexValue of the extended data element as an array of chars.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_HEX_BINARY`.

  Specified by:
    `setHexValueAsCharArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new hexValue for the extended data element.

### getHexValueAsByteArray

    public byte[] getHexValueAsByteArray()

  Description copied from interface: `ExtendedDataElement`

  Returns the hexValue of the extended data element cast as byte array values.

  Specified by:
    `getHexValueAsByteArray` in interface `ExtendedDataElement`
  Returns:
    the hexValue of the extended data element.

### getHexValueAsCharArray

    public char[] getHexValueAsCharArray()

  Returns the hexValue of the extended data element cast as char array values.

  Specified by:
    `getHexValueAsCharArray` in interface `ExtendedDataElement`
  Returns:
    the hexValue of the extended data element.
  Throws:
    `java.lang.IllegalStateException` - if the 'Type' attribute is not `ExtendedDataElement.TYPE_HEX_BINARY`.

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `ExtendedDataElement.getName()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ExtendedDataElement`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `ExtendedDataElement.setName(String)`, `EventPackage.getExtendedDataElement_Name()`

### setType

    public void setType(java.lang.String newType)

  Specified by:
    `setType` in interface `ExtendedDataElement`
  Parameters:
    `newType` - the new value of the 'Type' attribute.
  See Also:
    `ExtendedDataElement.getType()`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `ExtendedDataElement`
  Returns:
    the value of the 'Type' attribute.
  See Also:
    `ExtendedDataElement.setType(String)`, `EventPackage.getExtendedDataElement_Type()`

### setTypeAsInt

    public void setTypeAsInt(int value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the '`Type`' attribute.

  The value must be one of the `ExtendedDataElement.TYPE_<type>_VALUE` constants.

  Specified by:
    `setTypeAsInt` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value of the 'Type' attribute.
  See Also:
    `ExtendedDataElement.setTypeAsInt(int)`

### getTypeAsInt

    public int getTypeAsInt()

  Description copied from interface: `ExtendedDataElement`
  Returns the value of the 'Type' attribute.

  The value is represented through one of the `ExtendedDataElement.TYPE_<type>_VALUE` constants.

  Specified by:
    `getTypeAsInt` in interface `ExtendedDataElement`
  Returns:
    the value of the 'Type' attribute.
  See Also:
    `ExtendedDataElement.getTypeAsInt()`

### getValues

    public org.eclipse.emf.common.util.EList getValues()

  Specified by:
    `getValues` in interface `ExtendedDataElement`
  Returns:
    the value of the 'Values' attribute list.
  See Also:
    `EventPackage.getExtendedDataElement_Values()`

### setValues

    public void setValues(java.lang.String[] values)

  The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary. hexBinary values MUST be defined using the hexValue property. This is an OPTIONAL property.

  Specified by:
    `setValues` in interface `ExtendedDataElement`
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a hexBinary data type.

### setValuesAsBoolean

    public void setValuesAsBoolean(boolean value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as a boolean value.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_BOOLEAN`.

  Specified by:
    `setValuesAsBoolean` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsBoolean

    public boolean getValuesAsBoolean()

  Description copied from interface: `ExtendedDataElement`

  Returns the value of the extended data element cast as a boolean value.

  Specified by:
    `getValuesAsBoolean` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.

### setValuesAsBooleanArray

    public void setValuesAsBooleanArray(boolean[] value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as an array of boolean values.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_BOOLEAN_ARRAY`.

  Specified by:
    `setValuesAsBooleanArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.
  See Also:
    `ExtendedDataElement.setValuesAsBooleanArray(boolean[])`

### getValuesAsBooleanArray

    public boolean[] getValuesAsBooleanArray()

  Description copied from interface: `ExtendedDataElement`

  Returns the values of the extended data element cast as boolean values.

  Specified by:
    `getValuesAsBooleanArray` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsBooleanArray()`

### setValuesAsByte

    public void setValuesAsByte(byte value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as a byte value.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_BYTE`.

  Specified by:
    `setValuesAsByte` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsByte

    public byte getValuesAsByte()

  Description copied from interface: `ExtendedDataElement`

  Returns the value of the extended data element cast as a byte value.

  Specified by:
    `getValuesAsByte` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.

### setValuesAsByteArray

    public void setValuesAsByteArray(byte[] value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as an array of bytes.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_BYTE_ARRAY`.

  Specified by:
    `setValuesAsByteArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.
  See Also:
    `ExtendedDataElement.setValuesAsByteArray(byte[])`

### getValuesAsByteArray

    public byte[] getValuesAsByteArray()

  Description copied from interface: `ExtendedDataElement`

  Returns the values of the extended data element cast as byte values.

  Specified by:
    `getValuesAsByteArray` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsByteArray()`

### setValuesAsDate

    public void setValuesAsDate(java.lang.String value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as a date time value.

  The values are represented according to the XML schema dateTime definition.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_DATE_TIME`.

  Specified by:
    `setValuesAsDate` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.
  See Also:
    `ExtendedDataElement.setValuesAsDate(String)`

### getValuesAsDate

    public java.lang.String getValuesAsDate()

  Description copied from interface: `ExtendedDataElement`
  Returns the value of the extended data element cast as a date/time value.

  The value is represented according to the XML schema dateTime definition.

  Specified by:
    `getValuesAsDate` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsDate()`

### setValuesAsDateArray

    public void setValuesAsDateArray(java.lang.String[] value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as an array of date time values.

  The values are represented according to the XML schema dateTime definition.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_DATE_TIME_ARRAY`.

  Specified by:
    `setValuesAsDateArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.
  See Also:
    `ExtendedDataElement.setValuesAsDateArray(String[])`

### getValuesAsDateArray

    public java.lang.String[] getValuesAsDateArray()

  Description copied from interface: `ExtendedDataElement`
  Returns the value of the extended data element cast as a date/time values.

  The values are represented according to the XML schema dateTime definition.

  Specified by:
    `getValuesAsDateArray` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsDateArray()`

### setValuesAsDateAsLong

    public void setValuesAsDateAsLong(long value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as a date/time value.

  The values are represented according to the XML schema dateTime definition.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_DATE_TIME`.

  Specified by:
    `setValuesAsDateAsLong` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsDateAsLong

    public long getValuesAsDateAsLong()

  Description copied from interface: `ExtendedDataElement`

  Returns the value of the extended data element cast as a date/time value.

  Specified by:
    `getValuesAsDateAsLong` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsDateAsLong()`

### setValuesAsDateAsLongArray

    public void setValuesAsDateAsLongArray(long[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as an array of date/time values.

  The values are represented according to the XML schema dateTime definition.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_DATE_TIME_ARRAY`.

  Specified by:
    `setValuesAsDateAsLongArray` in interface `ExtendedDataElement`
  Parameters:
    `newValues` - the new value for the extended data element.

### getValuesAsDateAsLongArray

    public long[] getValuesAsDateAsLongArray()

  Description copied from interface: `ExtendedDataElement`

  Returns the values of the extended data element cast as date/time values.

  Specified by:
    `getValuesAsDateAsLongArray` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsDateAsLongArray()`

### setValuesAsDouble

    public void setValuesAsDouble(double value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as a double value.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_DOUBLE`.

  Specified by:
    `setValuesAsDouble` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsDouble

    public double getValuesAsDouble()

  Description copied from interface: `ExtendedDataElement`

  Returns the value of the extended data element cast as a double value.

  Specified by:
    `getValuesAsDouble` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.

### setValuesAsDoubleArray

    public void setValuesAsDoubleArray(double[] value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as an array of double values.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_DOUBLE_ARRAY`.

  Specified by:
    `setValuesAsDoubleArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.
  See Also:
    `ExtendedDataElement.setValuesAsDoubleArray(double[])`

### getValuesAsDoubleArray

    public double[] getValuesAsDoubleArray()

  Description copied from interface: `ExtendedDataElement`

  Returns the values of the extended data element cast as double values.

  Specified by:
    `getValuesAsDoubleArray` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsDoubleArray()`

### setValuesAsFloat

    public void setValuesAsFloat(float value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as a float value.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_FLOAT`.

  Specified by:
    `setValuesAsFloat` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsFloat

    public float getValuesAsFloat()

  Description copied from interface: `ExtendedDataElement`

  Returns the value of the extended data element cast as a float value.

  Specified by:
    `getValuesAsFloat` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.

### setValuesAsFloatArray

    public void setValuesAsFloatArray(float[] value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as an array of float values.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_FLOAT_ARRAY`.

  Specified by:
    `setValuesAsFloatArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.
  See Also:
    `ExtendedDataElement.setValuesAsFloatArray(float[])`

### getValuesAsFloatArray

    public float[] getValuesAsFloatArray()

  Description copied from interface: `ExtendedDataElement`

  Returns the values of the extended data element cast as float values.

  Specified by:
    `getValuesAsFloatArray` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsFloatArray()`

### setValuesAsInt

    public void setValuesAsInt(int value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as a int value.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_INT`.

  Specified by:
    `setValuesAsInt` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsInt

    public int getValuesAsInt()

  Description copied from interface: `ExtendedDataElement`

  Returns the value of the extended data element cast as an integer value.

  Specified by:
    `getValuesAsInt` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.

### setValuesAsIntArray

    public void setValuesAsIntArray(int[] value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as an array of integer values.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_INT_ARRAY`.

  Specified by:
    `setValuesAsIntArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.
  See Also:
    `ExtendedDataElement.setValuesAsIntArray(int[])`

### getValuesAsIntArray

    public int[] getValuesAsIntArray()

  Description copied from interface: `ExtendedDataElement`

  Returns the values of the extended data element cast as integer values.

  Specified by:
    `getValuesAsIntArray` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsIntArray()`

### setValuesAsLong

    public void setValuesAsLong(long value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as a long value.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_LONG`.

  Specified by:
    `setValuesAsLong` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsLong

    public long getValuesAsLong()

  Description copied from interface: `ExtendedDataElement`

  Returns the value of the extended data element cast as a long value.

  Specified by:
    `getValuesAsLong` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.

### setValuesAsLongArray

    public void setValuesAsLongArray(long[] value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as an array of long values.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_LONG_ARRAY`.

  Specified by:
    `setValuesAsLongArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.
  See Also:
    `ExtendedDataElement.setValuesAsLongArray(long[])`

### getValuesAsLongArray

    public long[] getValuesAsLongArray()

  Description copied from interface: `ExtendedDataElement`

  Returns the values of the extended data element cast as long values.

  Specified by:
    `getValuesAsLongArray` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsLongArray()`

### setValuesAsShort

    public void setValuesAsShort(short value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as a short value.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_SHORT`.

  Specified by:
    `setValuesAsShort` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsShort

    public short getValuesAsShort()

  Description copied from interface: `ExtendedDataElement`

  Returns the value of the extended data element cast as a short value.

  Specified by:
    `getValuesAsShort` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.

### setValuesAsShortArray

    public void setValuesAsShortArray(short[] value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as an array of short values.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_SHORT_ARRAY`.

  Specified by:
    `setValuesAsShortArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.
  See Also:
    `ExtendedDataElement.setValuesAsShortArray(short[])`

### getValuesAsShortArray

    public short[] getValuesAsShortArray()

  Description copied from interface: `ExtendedDataElement`

  Returns the values of the extended data element cast as short values.

  Specified by:
    `getValuesAsShortArray` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsShortArray()`

### setValuesAsString

    public void setValuesAsString(java.lang.String value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as a string value.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_STRING`.

  Specified by:
    `setValuesAsString` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.

### getValuesAsString

    public java.lang.String getValuesAsString()

  Description copied from interface: `ExtendedDataElement`

  Returns the value of the extended data element cast as a string value.

  Specified by:
    `getValuesAsString` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.

### setValuesAsStringArray

    public void setValuesAsStringArray(java.lang.String[] value)

  Description copied from interface: `ExtendedDataElement`
  Sets the value of the extended data element as an array of string values.

  It also changes the 'Type' attribute to `ExtendedDataElement.TYPE_STRING_ARRAY`.

  Specified by:
    `setValuesAsStringArray` in interface `ExtendedDataElement`
  Parameters:
    `value` - the new value for the extended data element.
  See Also:
    `ExtendedDataElement.setValuesAsStringArray(String[])`

### getValuesAsStringArray

    public java.lang.String[] getValuesAsStringArray()

  Description copied from interface: `ExtendedDataElement`

  Returns the values of the extended data element cast as string values.

  Specified by:
    `getValuesAsStringArray` in interface `ExtendedDataElement`
  Returns:
    the value of the extended data element.
  See Also:
    `ExtendedDataElement.getValuesAsStringArray()`

### addChild

    public ExtendedDataElement addChild(ExtendedDataElement child)

  Adds a new child `ExtendedDataElement` to this object.

  Specified by:
    `addChild` in interface `ExtendedDataElement`
  Returns:
    a reference to the child extended data element added to this object.
  See Also:
    `getChildren()`

### clearChildren

    public void clearChildren()

  Removes all child ExtenedDataElements that this event is referencing

  Specified by:
    `clearChildren` in interface `ExtendedDataElement`

### removeChildren

    public void removeChildren(java.lang.String name)

  Remove a named child extended data element that this event is referencing

  Specified by:
    `removeChildren` in interface `ExtendedDataElement`
  Parameters:
    `name` - the name of the child element to be removed

### addChild

    public ExtendedDataElement addChild(java.lang.String newName)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object without any values adds it to the list of extended data elements for this object.

  Specified by:
    `addChild` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChild(String)`

### addChild

    public ExtendedDataElement addChild(java.lang.String newName,
                                        int newType,
                                        java.lang.String value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChild` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newType` - represents the data type for the new extended data element. Refer to the `ExtendedDataElement.TYPE_<type>_VALUE` constants for valid types.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChild(String, int, String)`

### addChild

    public ExtendedDataElement addChild(java.lang.String newName,
                                        int newType,
                                        java.lang.String[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addChild` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newType` - represents the data type for the new extended data element. Refer to the `ExtendedDataElement.TYPE_<type>_VALUE` constants for valid types.
    `newValues` - the array of values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChild(String, int, String[])`

### addChild

    public ExtendedDataElement addChild(java.lang.String newName,
                                        java.lang.String value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChild` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChild(String, String)`

### addChild

    public ExtendedDataElement addChild(java.lang.String newName,
                                        java.lang.String[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addChild` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newValues` - the array of `String` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChild(String, String[])`

### addChildWithBooleanArrayValue

    public ExtendedDataElement addChildWithBooleanArrayValue(java.lang.String newName,
                                                             boolean[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithBooleanArrayValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newValues` - the array of `boolean` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithByteArrayValue(String, byte[])`

### addChildWithBooleanValue

    public ExtendedDataElement addChildWithBooleanValue(java.lang.String newName,
                                                        boolean value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithBooleanValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithByteValue(String, byte)`

### addChildWithByteArrayValue

    public ExtendedDataElement addChildWithByteArrayValue(java.lang.String newName,
                                                          byte[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithByteArrayValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newValues` - the array of `byte` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithByteArrayValue(String, byte[])`

### addChildWithByteValue

    public ExtendedDataElement addChildWithByteValue(java.lang.String newName,
                                                     byte value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithByteValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithByteValue(String, byte)`

### addChildWithDateArrayValue

    public ExtendedDataElement addChildWithDateArrayValue(java.lang.String newName,
                                                          java.lang.String[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  The values correspond to a date time string according to the XML schema dateTime definition.

  Specified by:
    `addChildWithDateArrayValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newValues` - the array of `String` instances representing the date time values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithDateArrayValue(String, String[])`

### addChildWithDateAsLongValue

    public ExtendedDataElement addChildWithDateAsLongValue(java.lang.String newName,
                                                           long value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithDateAsLongValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - number of milliseconds since January 1, 1970 UTC; representing the date time value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithDateAsLongValue(String, long)`

### addChildWithDateValue

    public ExtendedDataElement addChildWithDateValue(java.lang.String newName,
                                                     java.lang.String value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  The value corresponds to a date time string according to the XML schema dateTime definition.

  Specified by:
    `addChildWithDateValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - representation of the date time value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithDateValue(String, String)`

### addChildWithDatesAsLongValue

    public ExtendedDataElement addChildWithDatesAsLongValue(java.lang.String newName,
                                                            long[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithDatesAsLongValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newValues` - the array of `long` values for the new extended data element. Each value corresponds to the number of milliseconds since January 1, 1970 UTC.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithDatesAsLongValue(String, long[])`

### addChildWithDoubleArrayValue

    public ExtendedDataElement addChildWithDoubleArrayValue(java.lang.String newName,
                                                            double[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithDoubleArrayValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newValues` - the array of `double` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithDoubleArrayValue(String, double[])`

### addChildWithDoubleValue

    public ExtendedDataElement addChildWithDoubleValue(java.lang.String newName,
                                                       double value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithDoubleValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - the `double` value that the new `ExtendedDataElement` will contain.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithDoubleValue(String, double)`

### addChildWithFloatArrayValue

    public ExtendedDataElement addChildWithFloatArrayValue(java.lang.String newName,
                                                           float[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithFloatArrayValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newValues` - the array of `float/code> values for the new extended data element.`
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithFloatArrayValue(String, float[])`

### addChildWithFloatValue

    public ExtendedDataElement addChildWithFloatValue(java.lang.String newName,
                                                      float value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithFloatValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithFloatValue(String, float)`

### addChildWithHexValue

    public ExtendedDataElement addChildWithHexValue(java.lang.String newName,
                                                    java.lang.String value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithHexValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChild(String, String)`

### addChildWithHexValueAsByteArray

    public ExtendedDataElement addChildWithHexValueAsByteArray(java.lang.String newName,
                                                               byte[] value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithHexValueAsByteArray` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChild(String, String)`

### addChildWithIntArrayValue

    public ExtendedDataElement addChildWithIntArrayValue(java.lang.String newName,
                                                         int[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithIntArrayValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newValues` - the array of `int` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithIntArrayValue(String, int[])`

### addChildWithIntValue

    public ExtendedDataElement addChildWithIntValue(java.lang.String newName,
                                                    int value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithIntValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithIntValue(String, int)`

### addChildWithLongArrayValue

    public ExtendedDataElement addChildWithLongArrayValue(java.lang.String newName,
                                                          long[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithLongArrayValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newValues` - the array of `long` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithLongArrayValue(String, long[])`

### addChildWithLongValue

    public ExtendedDataElement addChildWithLongValue(java.lang.String newName,
                                                     long value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithLongValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithLongValue(String, long)`

### addChildWithShortArrayValue

    public ExtendedDataElement addChildWithShortArrayValue(java.lang.String newName,
                                                           short[] newValues)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithShortArrayValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `newValues` - the array of `short` values for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithShortArrayValue(String, short[])`

### addChildWithShortValue

    public ExtendedDataElement addChildWithShortValue(java.lang.String newName,
                                                      short value)

  Description copied from interface: `ExtendedDataElement`
  Adds a new `ExtendedDataElement` to this object.

  It creates an `ExtendedDataElement` object containing the value passed as parameter and adds it to the list of extended data elements for this object.

  Specified by:
    `addChildWithShortValue` in interface `ExtendedDataElement`
  Parameters:
    `newName` - the name for the new extended data element.
    `value` - the value for the new extended data element.
  Returns:
    a reference to the extended data element added to this object.
  See Also:
    `ExtendedDataElement.addChildWithShortValue(String, short)`

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          java.lang.Class baseClass,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Specified by:
    `eInverseRemove` in interface `org.eclipse.emf.ecore.InternalEObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`

### equals

    public boolean equals(java.lang.Object arg0)

### toString

    public java.lang.String toString()

### isValid

    public static boolean isValid(int type)

  See Also:
    `com.ibm.events.cbe.ExtendedDataElement#isValid(int)`

### isValid

    public static boolean isValid(java.lang.String type)

  See Also:
    `com.ibm.events.cbe.ExtendedDataElement#isValid(String)`

### typeToString

    public static java.lang.String typeToString(int type)

  See Also:
    `com.ibm.events.cbe.ExtendedDataElement#typeToString(int)`

### typeToInt

    public static int typeToInt(java.lang.String type)

  See Also:
    `com.ibm.events.cbe.ExtendedDataElement#typeToInt(String)`

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of this object conforms to the CBE specification.

  Specified by:
    `validate` in interface `ExtendedDataElement`
  Throws:
    `ValidationException` - if the object does not follow the CBE specification.

### setValues

    protected void setValues(java.lang.String value)

  Sets the value of the extended data element as String value.

  Parameters:
    `value` - the new value for the extended data element

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SerializableImpl`

### resetValues

    protected org.eclipse.emf.common.util.EList resetValues()

  Deprecated. Use clearValues();

  Resets the value of the extended data element.

### clearValues

    public void clearValues()

  Removes all values that this event is referencing

  Specified by:
    `clearValues` in interface `ExtendedDataElement`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Returns:
    Object
  Throws:
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `ExtendedDataElement`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD